Bug 812670 - pulseaudio reports module-alsa-sound failure and sometimes drops
pulseaudio reports module-alsa-sound failure and sometimes drops
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-15 16:22 EDT by Pavel Šimerda (pavlix)
Modified: 2013-07-31 23:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:05:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Šimerda (pavlix) 2012-04-15 16:22:51 EDT
The log below shows what happens with pulse and systemd-logind since user's login to Gnome 3. The funny thing is, that even after these messages, sound still works and Gnome Shell still displays the volume control.

But, time by time (let's say within an hour from logging in) pulseaudio just disappears. Sound stops working and volume control disappears as well. Logging in gets pulseaudio back. No ABRT or anything like that.


Apr 15 22:11:53 dragon systemd-logind[673]: New session 2105 of user pavlix.
Apr 15 22:11:53 dragon systemd-logind[673]: Linked /tmp/.X11-unix/X0 to /run/user/pavlix/X11-display.
Apr 15 22:11:53 dragon gnome-session[14006]: DEBUG(+): GdmSignalHandler: handling signal 15
Apr 15 22:11:53 dragon gnome-session[14006]: DEBUG(+): GdmSignalHandler: Found 1 callbacks
Apr 15 22:11:53 dragon gnome-session[14006]: DEBUG(+): GdmSignalHandler: running 15 handler: 0x41c8c0
--
Apr 15 22:11:54 dragon gnome-session[14006]: DEBUG(+): GsmStore: emitting removed for /org/gnome/SessionManager/App1
Apr 15 22:11:54 dragon gnome-session[14006]: DEBUG(+): GsmStore: Clearing object store
Apr 15 22:11:54 dragon gnome-session[14006]: DEBUG(+): GsmStore: Clearing object store
Apr 15 22:11:54 dragon systemd-logind[673]: Removed session 2104.
Apr 15 22:11:54 dragon gdm-simple-slave[13981]: WARNING: Child process 14006 was already dead.
Apr 15 22:11:54 dragon gnome-session[14091]: WARNING: Could not parse desktop file /home/pavlix/.config/autostart/xfconf-migration-4.6.desktop: Key file does not have key 'Name'
Apr 15 22:11:54 dragon gnome-session[14091]: WARNING: could not read /home/pavlix/.config/autostart/xfconf-migration-4.6.desktop
Apr 15 22:11:54 dragon gnome-session[14091]: WARNING: Could not parse desktop file /home/pavlix/.config/autostart/xfce4-settings-helper-autostart.desktop: Key file does not have key 'Name'
Apr 15 22:11:54 dragon gnome-session[14091]: WARNING: could not read /home/pavlix/.config/autostart/xfce4-settings-helper-autostart.desktop
Apr 15 22:11:54 dragon rtkit-daemon[1210]: Successfully made thread 14263 of process 14263 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
Apr 15 22:11:54 dragon pulseaudio[14263]: [pulseaudio] pid.c: Stale PID file, overwriting.
Apr 15 22:11:54 dragon rtkit-daemon[1210]: Successfully made thread 14268 of process 14263 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Apr 15 22:11:54 dragon rtkit-daemon[1210]: Successfully made thread 14269 of process 14263 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Apr 15 22:11:54 dragon pulseaudio[14263]: [pulseaudio] module-alsa-card.c: Failed to find a working profile.
Apr 15 22:11:54 dragon pulseaudio[14263]: [pulseaudio] module.c: Failed to load module "module-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi" card_name="alsa_card.platform-thinkpad_acpi" namereg_fail=false tsched=yes fixed_latency_range=no ignore_dB=no deferred_volume=yes card_properties="module-udev-detect.discovered=1""): initialization failed.
Comment 1 Pavel Šimerda (pavlix) 2012-04-15 16:39:21 EDT
It's Lenovo x61.

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
Comment 2 Brendan Jones 2012-06-15 05:20:05 EDT
Is this still an issue. See Bug 813548 where it has been reported that a kernel update has fixed the issue.
Comment 3 Fedora End Of Life 2013-07-03 19:56:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 23:05:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.